%if 0%{?el7}
%define dist .el7
%endif

Name:		mod_authz_iplist
Version:	0.1
Release:	6%{?dist}
Summary:	mod_authz_iplist

Group:		System Environment/Daemons
License:	ASL 2.0
URL:		http://sunos.saita.ma/mod_authz_iplist.html
Source0:	http://sunos.saita.ma/%{name}-%{version}.tar.bz2
Source1:	10-mod_authz_iplist.conf
Source2:	mod_authz_iplist.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	httpd-devel
BuildRequires:  gcc
Requires:	httpd

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
mod_authz_iplist

%prep
%setup -q
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
sed -i -e 's,remote_ip,client_ip,g' \
       -e 's,remote_addr,client_addr,g' \
mod_authz_iplist.c
%endif

%build
apxs -ca mod_authz_iplist.c

%install
rm -rf $RPM_BUILD_ROOT
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
install -D -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.modules.d/10-mod_authz_iplist.conf
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/mod_authz_iplist.conf
%else
cat %{SOURCE1} %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/mod_authz_iplist.conf
%endif
install -D -m0755 .libs/mod_authz_iplist.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_authz_iplist.so


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sysconfdir}/httpd/conf.d/mod_authz_iplist.conf
%{_libdir}/httpd/modules/mod_authz_iplist.so
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
%{_sysconfdir}/httpd/conf.modules.d/10-mod_authz_iplist.conf
%endif

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.1-6
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.1-5
- Rebuilt for fc23

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 0.1-4
- Rebuilt for fc22

* Thu Sep 25 2014 momo-i <webmaster@momo-i.org> - 0.1-3
- Add rhel7 for apache 2.4

* Tue Aug 23 2011 momo-i <webmaster@momo-i.org> - 0.1-2
- Added sample configuration.

* Mon Jun 6 2011 momo-i <webmaster@momo-i.org> - 0.1-1
- Initial rpm release.
